import { ReactNode } from 'react';
declare type HeadingTag = 'h1' | 'h2' | 'h3' | 'p';
export interface TextProps {
    variant?: HeadingTag;
    children?: ReactNode;
    italic?: Boolean;
    underline?: Boolean;
    size?: 'sm' | 'md' | 'lg' | 'xl';
    weight?: 'light' | 'medium' | 'bold' | 'exbold';
    color?: 'primary' | 'black' | 'gray' | 'white';
    align?: 'left' | 'center' | 'right';
    lineHeight?: 'sm' | 'md' | 'lg' | 'xl' | 'xxl';
}
export {};
